Index: TXM/trunk/bundles/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/txt/txtLoader.groovy
===================================================================
--- TXM/trunk/bundles/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/txt/txtLoader.groovy	(revision 3987)
+++ TXM/trunk/bundles/org.txm.groovy.core/src/groovy/org/txm/scripts/importer/txt/txtLoader.groovy	(revision 3988)
@@ -206,4 +206,6 @@
 if (MONITOR != null && MONITOR.isCanceled()) { return MONITOR.done(); }
 if (MONITOR != null) MONITOR.worked(20, "FINALIZING")
 
+
+	
 readyToLoad = project.save()
Index: TXM/trunk/bundles/org.txm.progression.rcp/src/org/txm/progression/rcp/editors/ProgressionEditor.java
===================================================================
--- TXM/trunk/bundles/org.txm.progression.rcp/src/org/txm/progression/rcp/editors/ProgressionEditor.java	(revision 3987)
+++ TXM/trunk/bundles/org.txm.progression.rcp/src/org/txm/progression/rcp/editors/ProgressionEditor.java	(revision 3988)
@@ -42,6 +42,8 @@
 import org.txm.rcp.editors.listeners.ComputeSelectionListener;
 import org.txm.rcp.swt.widget.AssistedChoiceQueryWidget;
 import org.txm.rcp.swt.widget.AssistedQueryWidget;
+import org.txm.rcp.swt.widget.FloatSpinner;
+import org.txm.rcp.swt.widget.parameters.FloatField;
 import org.txm.rcp.swt.widget.structures.StructuralUnitPropertiesComboViewer;
 import org.txm.rcp.swt.widget.structures.StructuralUnitsComboViewer;
 import org.txm.rcp.swt.widget.structures.StructuralUnitsCombosGroup;
@@ -62,8 +64,8 @@
 	/** The query widgets. */
 	protected List<QueryField> queryWidgets = new ArrayList<>();
 	
-	/** The chart type. */
-	private boolean cumulative = true;
+//	/** The chart type. */
+//	private boolean cumulative = true;
 	
 	/** The linewidth. */
 	private int lineWidth = 2;
@@ -75,7 +77,8 @@
 	Composite mainPanel;
 	
 	/** The bande field. */
-	Text bandeField;
+	@Parameter(key = ProgressionPreferences.BANDE_MULTIPLIER)
+	FloatSpinner bandeField;
 	
 	/** The cumu button. */
 	Button cumulativeButton;
@@ -296,15 +299,14 @@
 			typeLabel.setText(ProgressionUIMessages.bandewidthMultiplierColon);
 			typeLabel.setAlignment(SWT.CENTER);
 			
-			bandeField = new Text(paramPanel, SWT.BORDER);
+			bandeField = new FloatSpinner(paramPanel, SWT.BORDER);
 			bandeField.setEnabled(densityButton.getSelection());
-			bandeField.setText("" + this.getResult().getBandeMultiplier()); //$NON-NLS-1$
+			bandeField.setSelection(this.getResult().getBandeMultiplier()); //$NON-NLS-1$
 			bandeField.setLayoutData(new GridData(GridData.FILL, GridData.CENTER, true, true, 2, 1));
 			bandeField.addKeyListener(computeKeyListener);
 			bandeField.addModifyListener(computeKeyListener);
 			
 			
-			
 			// Structural units and properties combo viewers
 			StructuralUnitsCombosGroup structuration = new StructuralUnitsCombosGroup(paramPanel, this, this.getResult().getStructuralUnit(), this.getResult().getStructuralUnitProperty());
 			structuration.setLayout(new GridLayout(4, false));
@@ -646,9 +648,8 @@
 			}
 		}
 		
-		cumulative = this.getResult().isDefaultChartType();
-		cumulativeButton.setSelection(cumulative);
-		densityButton.setSelection(!cumulative);
+		cumulativeButton.setSelection(this.getResult().isDefaultChartType());
+		densityButton.setSelection(!this.getResult().isDefaultChartType());
 		bandeField.setEnabled(densityButton.getSelection());
 	}
 	
@@ -665,23 +666,21 @@
 			}
 		}
 		
-		cumulative = cumulativeButton.getSelection();
-		
-		String smultibande = bandeField.getText();
-		float bandeMultiplier = 1.0f;
-		if (smultibande != null && smultibande.length() > 0) {
-			try {
-				bandeMultiplier = Float.parseFloat(smultibande);
-			}
-			catch (Exception e) {
-				bandeMultiplier = 1.0f;
-				Log.severe(NLS.bind(ProgressionUIMessages.stripMultiplierErrorColonP0, e));
-				StatusLine.error(NLS.bind(ProgressionUIMessages.stripMultiplierErrorColonP0, e));
-			}
-		}
-		else {
-			bandeMultiplier = 1.0f;
-		}
+//		String smultibande = bandeField.getText();
+//		float bandeMultiplier = bandeField.getSelectionAsFloat();
+//		if (smultibande != null && smultibande.length() > 0) {
+//			try {
+//				bandeMultiplier = Float.parseFloat(smultibande);
+//			}
+//			catch (Exception e) {
+//				bandeMultiplier = 1.0f;
+//				Log.severe(NLS.bind(ProgressionUIMessages.stripMultiplierErrorColonP0, e));
+//				StatusLine.error(NLS.bind(ProgressionUIMessages.stripMultiplierErrorColonP0, e));
+//			}
+//		}
+//		else {
+//			bandeMultiplier = 1.0f;
+//		}
 	}
 	
 }
Index: TXM/trunk/bundles/org.txm.chartsengine.core/src/org/txm/chartsengine/core/preferences/ChartsEnginePreferences.java
===================================================================
--- TXM/trunk/bundles/org.txm.chartsengine.core/src/org/txm/chartsengine/core/preferences/ChartsEnginePreferences.java	(revision 3987)
+++ TXM/trunk/bundles/org.txm.chartsengine.core/src/org/txm/chartsengine/core/preferences/ChartsEnginePreferences.java	(revision 3988)
@@ -117,6 +117,7 @@
 	 * @param preferences
 	 */
 	public static void initializeChartsEngineSharedPreferences(Preferences preferences) {
+		
 		preferences.put(CHART_TYPE, DEFAULT_CHART_TYPE);
 		preferences.putBoolean(SHOW_TITLE, true);
 		preferences.putBoolean(SHOW_LEGEND, true);
@@ -139,7 +140,6 @@
 		// May need to use e.g. 3 variables font_size, font_type, font_name. Then if we need to use a SWT/JFace Font object, make a function to convert it, 2 ways. 
 		String defaultFont = "1|SansSerif|14|0";  //$NON-NLS-1$
 		
-		
 		preferences.put(FONT, defaultFont);
 	}
 	
Index: TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/ReferencePattern.java
===================================================================
--- TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/ReferencePattern.java	(revision 3987)
+++ TXM/trunk/bundles/org.txm.searchengine.cqp.core/src/org/txm/searchengine/cqp/ReferencePattern.java	(revision 3988)
@@ -436,10 +436,10 @@
 		return title;
 	}
 	
-	public static String referenceToString(List<String> names, String patternString) {
+	public static String referenceToString(List<String> properties, String patternString) {
 		Gson gson = new Gson();
 		HashMap<String, Object> values = new HashMap<>();
-		values.put("properties", names);
+		values.put("properties", properties);
 		values.put("format", patternString);
 		return gson.toJson(values);
 	}

Property changes on: TXM/trunk/bundles/org.txm.analec.rcp/bin
___________________________________________________________________
Added: svn:ignore
   + bundles/*/bin/


